
Foreman - Bug #759

populate hosts fails if the host has no mac-address

03/18/2011 08:35 AM - Alexander Rusa

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Importers   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Host.populateFieldsFromFacts doesn't check if a mac-address is given in the facts before using the method "downcase".

Associated revisions

Revision d568c4cc - 04/06/2011 03:30 PM - Ohad Levy

fixes #759 - populate hosts fails if the host has no mac-address

History

#1 - 03/18/2011 08:36 AM - Alexander Rusa

- File 795_check_if_mac_exists_before_downcase.patch added

#2 - 04/06/2011 03:31 PM - Ohad Levy

- Target version set to 0.3

#3 - 04/06/2011 03:51 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset d568c4ccae1a1e47663d5f5dda1171066a58aaef.

#4 - 04/06/2011 03:52 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

795_check_if_mac_exists_before_downcase.patch 523 Bytes 03/18/2011 Alexander Rusa
